//
//  View.m
//  Gone
//
//  Created by Mark Meretzky on 11/7/13.
//  Copyright (c) 2013 Mark Meretzky. All rights reserved.
//

#import "View.h"

@implementation View

- (id) initWithFrame: (CGRect) frame
{
	self = [super initWithFrame: frame];
	if (self) {
		// Initialization code
		self.backgroundColor = [UIColor blueColor];
		NSString *text = @"GONE WITH THE WIND";

		CGRect b = self.bounds;
		UIFont *font = [UIFont systemFontOfSize: b.size.height];
		NSDictionary *attributes =
			[NSDictionary dictionaryWithObject: font forKey: NSFontAttributeName];
		CGSize size = [text sizeWithAttributes: attributes];

		//Label initially waiting in the wings, to the right of this View.
		CGRect f = CGRectMake(
			b.size.width,
			0,
			size.width,
			b.size.height
		);

		label = [[UILabel alloc] initWithFrame: f];
		label.font = font;
		label.backgroundColor = [UIColor clearColor];
		label.textColor = [UIColor whiteColor];
		label.text = text;
		[self addSubview: label];
	}
	return self;
}


// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.

- (void) drawRect: (CGRect) rect
{
	// Drawing code
	[UIView animateWithDuration: 24.5
		delay: 23.75
		options: UIViewAnimationOptionCurveLinear
		animations: ^{
			//Scroll the label far enough to the left
			//so that it's out of the View.
			label.center = CGPointMake(
				-label.bounds.size.width / 2,
				self.bounds.size.height / 2
			);
		}
		completion: NULL
	];
}

@end
